package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;
import java.util.List;

/**
 * 化学品报警记录对象 hxp_alarm_record
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品报警记录")
public class HxpAlarmRecordSearch  extends BaseEntity{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    @ApiModelProperty(value = "学院")
    private Long deptId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "报警开始时间")
    private Date alarmTimeBegin;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "报警结束时间")
    private Date alarmTimeEnd;

    @ApiModelProperty(value = "报警方式")
    private Integer alarmMode;

    @ApiModelProperty(value = "状态")
    private Integer handlingStatus;

    @ApiModelProperty(value = "实验室id")
    private Long subId;

    @ApiModelProperty(value = "设备编号")
    private String terminalNum;

    @ApiModelProperty(value = "设备编号")
    private Integer hasValid;

    /**
     * 批量操作的id集合
     */
    private List <Long> ids;

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Date getAlarmTimeBegin() {
        return alarmTimeBegin;
    }

    public void setAlarmTimeBegin(Date alarmTimeBegin) {
        this.alarmTimeBegin = alarmTimeBegin;
    }

    public Date getAlarmTimeEnd() {
        return alarmTimeEnd;
    }

    public void setAlarmTimeEnd(Date alarmTimeEnd) {
        this.alarmTimeEnd = alarmTimeEnd;
    }

    public Integer getAlarmMode() {
        return alarmMode;
    }

    public void setAlarmMode(Integer alarmMode) {
        this.alarmMode = alarmMode;
    }

    public Integer getHandlingStatus() {
        return handlingStatus;
    }

    public void setHandlingStatus(Integer handlingStatus) {
        this.handlingStatus = handlingStatus;
    }

    public List <Long> getIds() {
        return ids;
    }

    public void setIds(List <Long> ids) {
        this.ids = ids;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public String getTerminalNum() {
        return terminalNum;
    }

    public void setTerminalNum(String terminalNum) {
        this.terminalNum = terminalNum;
    }
}
